import type { IValidateImportFromUrl, IValidateImportFromUrlInput, IValidateImportFromUrlOutput } from "../abstractions/ValidateImportFromUrl";
import type { IExternalFileFetcher } from "../../utils/externalFileFetcher";
import type { ITaskResponseResult, ITaskRunParams } from "@webiny/tasks";
import type { Context } from "../../../types";
export interface IFileExists {
    (key: string): Promise<boolean>;
}
export interface IValidateImportFromUrlParams {
    fileFetcher: IExternalFileFetcher;
    fileExists: IFileExists;
}
export declare class ValidateImportFromUrl<C extends Context = Context, I extends IValidateImportFromUrlInput = IValidateImportFromUrlInput, O extends IValidateImportFromUrlOutput = IValidateImportFromUrlOutput> implements IValidateImportFromUrl<C, I, O> {
    private readonly fileFetcher;
    private readonly fileExists;
    constructor(params: IValidateImportFromUrlParams);
    run(params: ITaskRunParams<C, I, O>): Promise<ITaskResponseResult<I, O>>;
}
