"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createExportContentAssets = void 0;
var _tasks = require("@webiny/tasks");
var _constants = require("./constants");
const createExportContentAssets = () => {
  return (0, _tasks.createTaskDefinition)({
    id: _constants.EXPORT_CONTENT_ASSETS_TASK,
    title: "Export Content Assets",
    maxIterations: 50,
    isPrivate: true,
    description: "Export content assets from a specific model.",
    async run(params) {
      const {
        createExportContentAssets
      } = await import(/* webpackChunkName: "createExportContentAssets" */"./domain/createExportContentAssets");
      try {
        const runner = createExportContentAssets();
        return await runner.run(params);
      } catch (ex) {
        return params.response.error(ex);
      }
    }
  });
};
exports.createExportContentAssets = createExportContentAssets;

//# sourceMappingURL=exportContentAssets.js.map