"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createS3Client = void 0;
var _nodeHttpHandler = require("@smithy/node-http-handler");
var _clientS = require("@webiny/aws-sdk/client-s3");
var _http = require("http");
var _https = require("https");
const createS3Client = params => {
  return (0, _clientS.createS3Client)({
    requestHandler: new _nodeHttpHandler.NodeHttpHandler({
      connectionTimeout: 0,
      socketTimeout: 0,
      requestTimeout: 0,
      httpAgent: new _http.Agent({
        maxSockets: Infinity,
        keepAlive: true,
        maxFreeSockets: Infinity,
        maxTotalSockets: Infinity,
        keepAliveMsecs: 900000 // milliseconds / 15 minutes
      }),
      httpsAgent: new _https.Agent({
        maxSockets: Infinity,
        keepAlive: true,
        sessionTimeout: 900,
        // seconds / 15 minutes
        maxCachedSessions: 100000,
        maxFreeSockets: Infinity,
        maxTotalSockets: Infinity,
        keepAliveMsecs: 900000 // milliseconds / 15 minutes
      })
    }),
    ...params
  });
};
exports.createS3Client = createS3Client;

//# sourceMappingURL=s3Client.js.map