/// <reference types="node" />
import type { Options as BaseUploadOptions } from "@webiny/aws-sdk/lib-storage";
import type { Transform } from "stream";
import { PassThrough } from "stream";
import type { CompleteMultipartUploadCommandOutput, S3Client } from "@webiny/aws-sdk/client-s3";
import { IAwsUpload, IUpload, IUploadOnListener } from "./abstractions/Upload";
export interface IUploadConfig {
    client: S3Client;
    stream: PassThrough;
    bucket: string;
    filename: string;
    factory?(params: BaseUploadOptions): IAwsUpload;
    queueSize?: number;
}
export declare class Upload implements IUpload {
    readonly stream: PassThrough;
    readonly upload: IAwsUpload;
    readonly client: S3Client;
    constructor(input: IUploadConfig);
    abort(): Promise<void>;
    done(): Promise<CompleteMultipartUploadCommandOutput>;
    onProgress(listener: IUploadOnListener): void;
}
export interface ICreateUploadFactoryParams {
    client: S3Client;
    bucket: string;
}
export interface ICreateUploadCallable {
    (filename: string, options?: ICreateUploadFactoryOptions): IUpload;
}
export interface ICreateUploadFactoryOptions {
    stream?: Transform;
    client?: S3Client;
    bucket?: string;
}
export declare const createUploadFactory: (params: ICreateUploadFactoryParams) => ICreateUploadCallable;
