import { GetObjectCommand, HeadObjectCommand, S3Client } from "@webiny/aws-sdk/client-s3";
import type { IUrlSigner, IUrlSignerSignParams, IUrlSignerSignResult } from "./abstractions/UrlSigner";
export interface IUrlSignerParams {
    client: S3Client;
    bucket: string;
}
export interface IObjectCommandConstructor {
    new (params: {
        Bucket: string;
        Key: string;
    }): GetObjectCommand | HeadObjectCommand;
}
export declare class UrlSigner implements IUrlSigner {
    private readonly client;
    private readonly bucket;
    constructor(params: IUrlSignerParams);
    get(params: IUrlSignerSignParams): Promise<IUrlSignerSignResult>;
    head(params: IUrlSignerSignParams): Promise<IUrlSignerSignResult>;
    private sign;
}
