/// <reference types="node" />
/// <reference types="node" />
/// <reference types="node" />
import type { IAddOptions, IZipper, IZipperDoneResult } from "./abstractions/Zipper";
import type { Readable } from "stream";
import type { ArchiverError, EntryData, ProgressData } from "archiver";
import type { IUpload } from "../upload";
import type { IArchiver } from "../archiver";
export interface IZipperConfig {
    upload: IUpload;
    archiver: IArchiver;
}
export declare class Zipper implements IZipper {
    private readonly upload;
    readonly archiver: IArchiver;
    constructor(config: IZipperConfig);
    add(data: Buffer | Readable, options: IAddOptions): Promise<void>;
    finalize(): Promise<void>;
    abort(): Promise<void>;
    done(): Promise<IZipperDoneResult>;
    on(event: "error" | "warning", listener: (error: ArchiverError) => void): void;
    on(event: "data", listener: (data: Buffer) => void): void;
    on(event: "progress", listener: (progress: ProgressData) => void): void;
    on(event: "close" | "drain" | "finish", listener: () => void): void;
    on(event: "pipe" | "unpipe", listener: (src: Readable) => void): void;
    on(event: "entry", listener: (entry: EntryData) => void): void;
}
